Installing network drivers needs kernel source...

Leigh Gardiner leighgardiner at hotmail.com
Mon Jan 13 06:35:38 PST 2003


Ok, I selected the options that i thought i had before and did make 
dep....now when i try: make install on the network modules i get:

*insert some funny characters here*/bin/sh: -W: unrecognised option
then theres a listing of --help
and this:

Makefile:180: *** *** Aborting the build. *** This driver is not supported 
on kernel versions older than 2.4.0. Stop.


But the kernel version is 2.4.19 as this proves!: /usr/src/linux-2.4.19

any idea's?






>From: Matthias Benkmann <matthias at winterdrache.de>
>Reply-To: lfs-support at linuxfromscratch.org
>To: lfs-support at linuxfromscratch.org
>Subject: Re: Installing network drivers needs kernel source...
>Date: Mon, 13 Jan 2003 11:15:05 +0100
>
>On Mon, 13 Jan 2003 07:10:43 +0000 "Leigh Gardiner"
><leighgardiner at hotmail.com> wrote:
>
> > hmmm, don't tell me im gonna have to rebuild the kernel...
>
>You probably don't need to.
>
> > or should i
> > just roughly re-select the options that i thought i did with make
> > config??
>
>You should always keep a backup copy of your .config file to be able to
>reproduce your settings.
>The driver will probably not care about most of your settings, so you
>should be fine by just making sure the essentials (such as the processor)
>are configured properly.
>
>MSB
>
>--
>If everything seems to be going well, you have obviously overlooked
>something.
>
>--
>Unsubscribe: send email to listar at linuxfromscratch.org
>and put 'unsubscribe lfs-support' in the subject header of the message


_________________________________________________________________
MSN 8 with e-mail virus protection service: 2 months FREE* 
http://join.msn.com/?page=features/virus

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-support' in the subject header of the message



More information about the lfs-support mailing list